Subject: Re: [bitcoin-dev] Ordinal Inscription Size Limits

From: Erik Aronesty <[email-masked]>
Date: Wed, 3 Jan 2024 08:05:42 -0500

Onchain capacity is a red herring.  There are so many problems with it and
we don't need to go into it here if it's already been beaten to death.

 What we need are the op codes necessary to create a trustless,
disconnected graph of layer two solution.

We all know that some form of covenant technology is the right way to do
this

Some way of revokably sharing UTXOs, such that the incentives keep
coordinators in line

That can get us to global scale on a layer two that isn't custodial

On Wed, Jan 3, 2024, 4:12 AM Brad Morrison <[email-masked]> wrote:

> Erik/all,
>
> Are you saying that node capacity is the primary technical limiting factor
> to increasing adoption of bitcoin payments?
>
> UBER & Lyft payments are actually poor examples because they are not
> regular/monthly and I should not have used them (unless refilling existing
> accounts, like gift cards). But utility bills would be a much better
> example of an opportunity for bitcoin payments to compete with existing
> credit card payment systems because processing timing has the potential to
> be less urgent.
>
> Sharing UTXOs seems pretty minor compared to lowering transaction costs.
>
> Brad
>
>
>
> On 2024-01-01 08:08, Erik Aronesty wrote:
>
> .
>>
>> In the USA, where I am, large businesses like UBER, Lyft, and many major
>> telecom, cable, & electric utilities process huge volumes of regular and
>> irregular credit card payments on a monthly basis. Almost none oft hose
>> transactions are completed in bitcoin.
>>
>
>
> Unfortunately block size is not the limiting factor
>
> Main chain transactions have to be broadcast and stored on every node in
> the network which, as you know, cannot scale to the level of Uber payments
>
> Lighting and possibly ark are solutions to this problem
>
> Both require covenant tech of some kind to scale properly (nonrecursive is
> fine)
>
> Covenant tech (any will do, arguing about which is bike shedding at this
> point) allows people to share utxos and yet still maintain sovereignty over
> their assets
>
>
>
>
>
>>
>>